%define upstream_name Term-Query
%define upstream_version 2.0

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 17
License:	GPL or Artistic
Summary:	Table-driven query routine
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl-devel
BuildRequires:	perl(Array::PrintCols)
BuildArch:	noarch


%description
Term::Query is a Perl 5 module, which performs generalized queries on
various kinds of values. Validation and normalization of input, based
on the type, is automated, as is error reporting and re-solicitation
of input.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# make test don't work
# make test

%install
%make_install

%files
%doc ChangeLog README
%{perl_vendorlib}/Term/*
%{_mandir}/*/*


%changelog
* Tue Nov 01 2022 umeabot <umeabot> 2.0.0-17.mga9
+ Revision: 1901195
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.0.0-16.mga8
+ Revision: 1497305
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.0.0-15.mga7
+ Revision: 1271633
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.0.0-14.mga6
+ Revision: 1033932
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 2.0.0-13.mga6
+ Revision: 968713
- Mageia 6 Mass Rebuild

* Wed Jul 15 2015 sander85 <sander85> 2.0.0-12.mga6
+ Revision: 854394
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 2.0-11.mga5
+ Revision: 745735
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0-10.mga5
+ Revision: 686375
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0-9.mga4
+ Revision: 515014
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.0-8.mga3
+ Revision: 373272
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 2.0-7.mga1
+ Revision: 31237
- mageia rebuild
- imported package perl-Term-Query

